fbterm-1.7-alt3.i586.rpm


Advertisement

Description

fbterm - A frame-buffer terminal emulator

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package name fbterm
Package version 1.7
Package release alt3
Package architecture i586
Package type rpm
Installed size 142.69 KB
Download size 142.69 KB
Official Mirror ftp.altlinux.org
FbTerm is a fast terminal emulator for Linux with frame-buffer device.
Features include:
- mostly as fast as terminal of Linux kernel while accelerated scrolling
is enabled on frame-buffer device
- select font with fontconfig and draw text with freetype2, same as
Qt/Gtk+ based GUI apps
- dynamically create/destroy up to 10 windows initially running default
shell
- record scroll back history for every window
- auto-detect text encoding with current locale, support double width
scripts like  Chinese, Japanese etc
- switch between configurable additional text encodings with hot keys
on the fly
- copy/past selected text between windows with mouse when gpm server
is running

Alternatives

Package Version Architecture Repository
fbterm-1.7-alt3.x86_64.rpm 1.7 x86_64 Classic
fbterm - - -

Requires

Name Value
/lib/ld-linux.so.2 -
fontconfig -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.15) -
libc.so.6(GLIBC_2.3.2) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libc.so.6(GLIBC_2.7) -
libcap-utils -
libfontconfig.so.1 -
libfreetype.so.6 -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
libstdc++.so.6(GLIBCXX_3.4.15) -
libutil.so.1 -
libutil.so.1(GLIBC_2.0) -
libx86.so.1 -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
fbterm = 1.7-alt3

Download

Type URL
Binary Package fbterm-1.7-alt3.i586.rpm
Source Package fbterm-1.7-alt3.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install fbterm rpm package:
    # sudo apt-get install fbterm

Files

Path
/usr/bin/fbterm
/usr/share/doc/fbterm-1.7/AUTHORS
/usr/share/doc/fbterm-1.7/COPYING
/usr/share/doc/fbterm-1.7/ChangeLog
/usr/share/doc/fbterm-1.7/README
/usr/share/man/man1/fbterm.1.xz
/usr/share/terminfo/f/fbterm

Changelog

2017-06-30 - Aleksei Nikiforov <darktemplar@altlinux.org> 1.7-alt3
- Updated build for gcc-6
2014-09-05 - Ilya Mashkin <oddity@altlinux.ru> 1.7-alt2
- build for Sisyphus
2014-07-07 - Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_4
- update to new release by fcimport
2013-08-22 - Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_3
- update to new release by fcimport
2013-02-21 - Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_2
- update to new release by fcimport
2012-12-26 - Igor Vlasenko <viy@altlinux.ru> 1.7-alt1_1
- initial fc import

See Also

Package Description
fbterm-udevrules-1.7-alt3.i586.rpm udev rules that grant regular user access
fbv-1.0b-alt2.1.i586.rpm Framebuffer image viewer
fceux-2.2.3-alt1.i586.rpm FCEUX is a Nintendo Entertainment System (NES), Famicom, and Famicom Disk System (FDS) emulator
fcgiwrap-1.1.0-alt3.S1.i586.rpm Simple FastCGI wrapper for CGI scripts
fcitx-4.2.9.4-alt1_1.i586.rpm An input method framework
fcitx-chewing-0.2.3-alt1_1.i586.rpm Chewing Wrapper for Fcitx
fcitx-cloudpinyin-0.3.5-alt1_1.i586.rpm Cloudpinyin module for fcitx
fcitx-devel-4.2.9.4-alt1_1.i586.rpm Development files for Fcitx
fcitx-fbterm-0.2.0-alt2.i586.rpm Fbterm Support for Fcitx
fcitx-gtk2-4.2.9.4-alt1_1.i586.rpm Fcitx IM module for gtk2
fcitx-gtk3-4.2.9.4-alt1_1.i586.rpm Fcitx IM module for gtk3
fcitx-libpinyin-0.5.3-alt1_3.i586.rpm Libpinyin Wrapper for Fcitx
fcitx-libs-4.2.9.4-alt1_1.i586.rpm Shared libraries for Fcitx
fcitx-m17n-0.2.4-alt1_1.i586.rpm M17n Engine for Fcitx
fcitx-pinyin-4.2.9.4-alt1_1.i586.rpm Pinyin Engine for Fcitx
Advertisement
Advertisement